# Generated from eventmachine-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gemname eventmachine

%if 0%{?rhel} > 6
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemcmd "gem"
%else
%global gemdir %(ruby2.0 -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemcmd "gem2.0"
%endif
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 2.0.0

Summary: Ruby/EventMachine library
Name: rubygem20-%{gemname}
Version: 1.0.3
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rubyeventmachine.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(rubygems)
%if 0%{?rhel} > 6
Requires: ruby
Requires: ruby(release) = %{rubyabi}
BuildRequires: ruby
BuildRequires: ruby(release) = %{rubyabi}
BuildRequires: ruby-devel
%else
Requires: ruby20
Requires: ruby(abi) = %{rubyabi}
BuildRequires: ruby20
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby20-devel
%endif
BuildRequires: ruby(rubygems)
BuildRequires: gcc-c++
Provides: rubygem(%{gemname}) = %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}


%description
EventMachine implements a fast, single-threaded engine for arbitrary network
communications. It's extremely easy to use in Ruby. EventMachine wraps all
interactions with IP sockets, allowing programs to concentrate on the
implementation of network protocols. It can be used to create both network
servers and clients. To create a server or client, a Ruby program only needs
to specify the IP address and port, and provide a Module that implements the
communications protocol. Implementations of several standard network protocols
are provided with the package, primarily to serve as examples. The real goal
of EventMachine is to enable programs to easily interface with other programs
using TCP/IP, especially if custom protocols are required.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%gemcmd install --local --install-dir .%{gemdir} \
            -V \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{geminstdir}/ext

%files
%dir %{geminstdir}
%{geminstdir}/lib
%exclude %{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{geminstdir}/java

%exclude %{geminstdir}/.*
%exclude %{geminstdir}/Gemfile
%exclude %{geminstdir}/Rakefile
%exclude %{geminstdir}/rakelib
%exclude %{geminstdir}/eventmachine.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.md
%doc %{geminstdir}/CHANGELOG.md
%doc %{geminstdir}/docs/DocumentationGuidesIndex.md
%doc %{geminstdir}/docs/GettingStarted.md
%doc %{geminstdir}/docs/old/ChangeLog
%doc %{geminstdir}/docs/old/DEFERRABLES
%doc %{geminstdir}/docs/old/EPOLL
%doc %{geminstdir}/docs/old/INSTALL
%doc %{geminstdir}/docs/old/KEYBOARD
%doc %{geminstdir}/docs/old/LEGAL
%doc %{geminstdir}/docs/old/LIGHTWEIGHT_CONCURRENCY
%doc %{geminstdir}/docs/old/PURE_RUBY
%doc %{geminstdir}/docs/old/RELEASE_NOTES
%doc %{geminstdir}/docs/old/SMTP
%doc %{geminstdir}/docs/old/SPAWNED_PROCESSES
%doc %{geminstdir}/docs/old/TODO
%doc %{geminstdir}/GNU
%doc %{geminstdir}/LICENSE

%{geminstdir}/examples
%{geminstdir}/tests


%changelog
* Tue Feb 19 2013 Robin Sonefors - 1.0.0-1
- Initial package
